import axios from "axios";
import * as Vue from "vue";
import * as VueQuery from "@tanstack/vue-query";
import viteSSR from "vite-ssr/vue";
import { vueCatchHrefs } from "./vue-catch-hrefs.ts";
declare module "@vue/runtime-core" {
    interface ComponentCustomProperties {
        $axios: typeof axios;
        $VueQuery: typeof VueQuery;
        $Vue: typeof Vue;
    }
}
declare const createVueAppLib: Vue.Plugin;
export { createVueAppLib, viteSSR, vueCatchHrefs };
